Updates an order. You can change the recipient, the payment method, and the locale. To change payment, send the full object. Change it to set payerAddress when the payment status is requires-crypto-payer-address, or receiptEmail when it is requires-email.
The order ID, in UUID format. Create Order returns it as order.orderId.
Example:
"9c82ef99-617f-497d-9abb-fd355291681b"
Body
application/json
Fields to change on the order. Send only the fields that change.
locale
enum<string>
Locale for the checkout, in IETF BCP 47. It impacts the email receipt language. Ensure your UI is set to the same language as specified here. Throws an error if passed an invalid language.
Available options:
Klingon,
de-DE,
en-US,
es-ES,
fr-CA,
fr-FR,
it-IT,
ja-JP,
ko-KR,
pt-PT,
ru-RU,
th-TH,
tr-TR,
uk-UA,
vi-VN,
zh-CN,
zh-TW
payment
Cash App · object
How the buyer pays. method selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. currency is the currency that the buyer pays in.
Cash App
Bank transfer (EUR)
Wirex prefunded balance (EUR)
Card (tokenized)
Card
Card token
Card via Checkout.com Flow
Card via Stripe Payment Element
Solana
EVM
Sui
Show child attributes
recipient
Email · object
Who receives the items. Send one of email, walletAddress, or paymentMethodId. If you send an email, Crossmint creates a custodial wallet for it. If you send no recipient, the order quote has the status requires-recipient until you set one with Update Order.
Items in the order. Each line item has its own quote and delivery status.
Exact-in (fixed spend)
Exact-out (fixed quantity)
Show child attributes
locale
enum<string>
required
Locale for the checkout, in IETF BCP 47. It impacts the email receipt language. Ensure your UI is set to the same language as specified here. Throws an error if passed an invalid language.
Payment leg of the order. Read status to find the next action.
Show child attributes
phase
enum<string>
required
Current phase of the order lifecycle. quote: the quote is not final. payment: the order waits for the payment. delivery: the payment is received and delivery is in progress. completed: every line item is delivered.
Available options:
completed,
delivery,
payment,
quote
Example:
"payment"
quote
object
required
Quote for the whole order. Its values aggregate the line item quotes.
Show child attributes
legal
object
Terms that apply to the order. Absent from List Orders responses.
Show child attributes
metadata
object
Metadata that you sent when you created the order.
Show child attributes
Example:
{ "internalOrderId": "ORD-10042" }
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Crossmint Docs","colors":{"primary":"#36b37e","light":"#87ff8f","dark":"#001d01"},"logo":{"light":"https://mintcdn.com/crossmint/a8gPOTKEuVFcSfC3/logo/crossmint-light.png?fit=max\u0026auto=format\u0026n=a8gPOTKEuVFcSfC3\u0026q=85\u0026s=8c2671e4c8f7da6956e1508bd68c2928","dark":"https://mintcdn.com/crossmint/a8gPOTKEuVFcSfC3/logo/crossmint-dark.png?fit=max\u0026auto=format\u0026n=a8gPOTKEuVFcSfC3\u0026q=85\u0026s=272ecc17664d17b9ff24471758ff80b2"},"favicon":"https://mintcdn.com/crossmint/xq66q9GV6z6jjj95/favicon.png?fit=max\u0026auto=format\u0026n=xq66q9GV6z6jjj95\u0026q=85\u0026s=00fb89ddf6ba5b1022b9307039c08006","api":{"openapi":["api-reference/_open-api/MintingAPIs.json","api-reference/_open-api/AdminAPIs.json","api-reference/_open-api/VerifiableCredentialsAPIs.json","api-reference/_open-api/Wallets.json"],"examples":{"prefill":true}},"background":{"color":{"dark":"#090b0c"}},"navbar":{"links":[{"href":"https://www.crossmint.com/contact","label":"Support"},{"href":"https://staging.crossmint.com/console","label":"Staging Console"}],"primary":{"type":"button","label":"Console","href":"https://www.crossmint.com/console"}},"footer":{"socials":{"website":"https://www.crossmint.com","twitter":"https://twitter.com/crossmint","github":"https://github.com/crossmint"}},"integrations":{"ga4":{"measurementId":"G-CP5EDD6GVT"},"posthog":{"apiKey":"phc_tfgodwfjuO9v3Nw0tIWJNzACoi2opL7X2Ly0Mg2UCTz","apiHost":"https://eu.i.posthog.com","sessionRecording":false}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"crossmint","hasAudioNarration":false,"actualSubdomain":"crossmint","customDomains":["docs.crossmint.com"],"gitSource":{"type":"github","owner":"paella-labs","repo":"crossbit-main","deployBranch":"main","contentDirectory":"apps/crossmint-mintlify-docs/src","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":true,"contextualFeedback":{"allowEmail":true},"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af74c4eade4b411637ea67d","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1094},{"language":"default","tag":"Wallets","count":870},{"language":"default","tag":"Kotlin SDK","count":427},{"language":"default","tag":"Swift SDK","count":237},{"language":"default","tag":"Checkout","count":196},{"language":"default","tag":"Classes","count":182},{"language":"default","tag":"Data Classes","count":182},{"language":"default","tag":"Typescript SDK","count":156},{"language":"default","tag":"Guides","count":134},{"language":"default","tag":"Structs","count":127}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":false,"deflection":{"enabled":true,"type":"link","url":"https://www.crossmint.com/contact/sales"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".tab-container [data-component-part=\"tabs-list\"]{flex-wrap:wrap;overflow:visible;row-gap:0.25rem}.tab-container [data-component-part=\"tabs-list\"]>li{white-space:nowrap}.nav-dropdown-item,.nav-dropdown-item *{font-weight:500!important;color:rgb(75, 85, 99)!important}.nav-dropdown-item:hover,.nav-dropdown-item:hover *{color:rgb(31, 41, 55)!important}.dark .nav-dropdown-item,.dark .nav-dropdown-item *{color:rgb(156, 163, 175)!important}.dark .nav-dropdown-item:hover,.dark .nav-dropdown-item:hover *{color:rgb(209, 213, 219)!important}"}],"page":{"pagePath":"api-reference/headless/edit-order","slug":"/api-reference/headless/edit-order","pageMetadata":{"openapi":"api-reference/_open-api/Orders.json PATCH /2022-06-09/orders/{orderId}","title":"Update Order","description":"Updates an order. You can change the recipient, the payment method, and the locale. To change `payment`, send the full object. Change it to set `payerAddress` when the payment status is `requires-crypto-payer-address`, or `receiptEmail` when it is `requires-email`.\n\n**API scope required**: `orders.update`","href":"/api-reference/headless/edit-order"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Updates an order. You can change the recipient, the payment method, and the locale. To change \", _jsx(_components.code, {\n children: \"payment\"\n }), \", send the full object. Change it to set \", _jsx(_components.code, {\n children: \"payerAddress\"\n }), \" when the payment status is \", _jsx(_components.code, {\n children: \"requires-crypto-payer-address\"\n }), \", or \", _jsx(_components.code, {\n children: \"receiptEmail\"\n }), \" when it is \", _jsx(_components.code, {\n children: \"requires-email\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"API scope required\"\n }), \": \", _jsx(_components.code, {\n children: \"orders.update\"\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"api-reference/_open-api/Orders.json PATCH /2022-06-09/orders/{orderId}","title":"Update Order","description":"Updates an order. You can change the recipient, the payment method, and the locale. To change `payment`, send the full object. Change it to set `payerAddress` when the payment status is `requires-crypto-payer-address`, or `receiptEmail` when it is `requires-email`.\n\n**API scope required**: `orders.update`","href":"/api-reference/headless/edit-order"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/crossmint/d1c432d03c0c4224/scripts/dd.js","/_mintlify/custom/crossmint/7fc8d54052d3edb0/scripts/hubspot.js"],"openApiReferenceData":{"operation":{"description":"Updates an order. You can change the recipient, the payment method, and the locale. To change `payment`, send the full object. Change it to set `payerAddress` when the payment status is `requires-crypto-payer-address`, or `receiptEmail` when it is `requires-email`.\n\n**API scope required**: `orders.update`","operationId":"orders.update","parameters":["21e89f8a-d52e-4997-845d-42fa5d8dc465"],"requestBody":"9256054d-ae3a-40ee-9f70-7a4f52a93717","responses":{"200":"5efe7a81-3313-4f07-82f4-35c4fbe3cc62","400":"22fe15d9-3cc1-422f-b48c-ff9a49b3865e","401":"0fd2af9f-3b81-46a5-8a7f-9b3580bc92e3","403":"bd7dd3be-5395-4fd4-96a0-35978bc6bf40","404":"a722c10c-0be0-43ab-b9cb-4679b66309a5","429":"cb19b9a2-bcba-4281-9c33-f6f52713a31e"},"security":["a97c063e-43a6-46d6-b200-0cd3098d661b","85a7c44e-1c96-44e5-8905-4475497c79c8"],"summary":"Update Order","tags":["Headless Checkout Orders"],"method":"patch","type":"path","servers":["13269e7e-41d0-4c34-aecb-1a3c18f00449","aa13aee0-3d22-4cc2-b360-d564d4662f76"],"path":"/2022-06-09/orders/{orderId}","baseUrlOptions":["https://staging.crossmint.com/api","https://www.crossmint.com/api"],"title":"Update Order","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.recipient.oneOf.2.walletAddress":"0x5b1f2e8a9c3d4e7f6a0b1c2d3e4f5a6b7c8d9e0f"},{"body.payment.oneOf.8.currency":"usdc","body.payment.oneOf.8.method":"base-sepolia","body.payment.oneOf.8.payerAddress":"0x9fda6b2c3e4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f"},{"body.payment.oneOf.1.method":"card","body.payment.oneOf.1.currency":"usd","body.payment.oneOf.1.receiptEmail":"buyer@example.com"}]},"dependencies":{"parameters":{"21e89f8a-d52e-4997-845d-42fa5d8dc465":{"description":"The order ID, in UUID format. Create Order returns it as `order.orderId`.","in":"path","name":"orderId","required":true,"schema":{"example":"9c82ef99-617f-497d-9abb-fd355291681b","type":"string","isRequired":true,"description":"The order ID, in UUID format. Create Order returns it as `order.orderId`.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"examples":{"Change Recipient":{"title":"Change Recipient","description":"Deliver the order to another wallet. An onramp order cannot change its recipient.","value":{"recipient":{"walletAddress":"0x5b1f2e8a9c3d4e7f6a0b1c2d3e4f5a6b7c8d9e0f"}}},"Set Payer Address":{"title":"Set Payer Address","description":"Set the wallet that sends the crypto payment, when the payment status is `requires-crypto-payer-address`.","value":{"payment":{"currency":"usdc","method":"base-sepolia","payerAddress":"0x9fda6b2c3e4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f"}}},"Set Receipt Email":{"title":"Set Receipt Email","description":"Set the email that receives the receipt, when the payment status is `requires-email`.","value":{"payment":{"currency":"usd","method":"card","receiptEmail":"buyer@example.com"}}}},"schema":{"description":"Fields to change on the order. Send only the fields that change.","properties":{"locale":{"description":"Locale for the checkout, in IETF BCP 47. It impacts the email receipt language. Ensure your UI is set to the same language as specified here. Throws an error if passed an invalid language.","enum":["Klingon","de-DE","en-US","es-ES","fr-CA","fr-FR","it-IT","ja-JP","ko-KR","pt-PT","ru-RU","th-TH","tr-TR","uk-UA","vi-VN","zh-CN","zh-TW"],"type":"string","uniqueKey":"locale","typeLabel":"enum\u003cstring>"},"payment":{"oneOf":[{"type":"object","title":"Cash App","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["currency","method","network","refundAddress"],"properties":{"currency":{"const":"usd","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.0.currency","typeLabel":"string"},"method":{"const":"cashapp","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.0.method","typeLabel":"string"},"network":{"enum":["solana"],"type":"string","isRequired":true,"uniqueKey":"payment.oneOf.0.network","typeLabel":"enum\u003cstring>"},"refundAddress":{"description":"Solana public key that receives a refund.","pattern":"^[1-9A-HJ-NP-Za-km-z]{32,44}$","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.0.refundAddress","typeLabel":"string"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.0.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.0","typeLabel":"Cash App · object"},{"type":"object","title":"Bank transfer (EUR)","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["method"],"properties":{"method":{"const":"bank-transfer","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.1.method","typeLabel":"string"},"currency":{"description":"Only `eur` is supported.","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"type":"string","uniqueKey":"payment.oneOf.1.currency","typeLabel":"enum\u003cstring>"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.1.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.1","typeLabel":"Bank transfer (EUR) · object"},{"type":"object","title":"Wirex prefunded balance (EUR)","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["method"],"properties":{"method":{"const":"wirex-prefunded","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.2.method","typeLabel":"string"},"currency":{"description":"Only `eur` is supported.","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"type":"string","uniqueKey":"payment.oneOf.2.currency","typeLabel":"enum\u003cstring>"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.2.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.2","typeLabel":"Wirex prefunded balance (EUR) · object"},{"type":"object","title":"Card (tokenized)","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["method"],"properties":{"method":{"const":"basis-theory","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.3.method","typeLabel":"string"},"currency":{"enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"type":"string","uniqueKey":"payment.oneOf.3.currency","typeLabel":"enum\u003cstring>"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.3.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.3","typeLabel":"Card (tokenized) · object"},{"type":"object","title":"Card","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["method"],"properties":{"method":{"const":"card","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.4.method","typeLabel":"string"},"currency":{"enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"type":"string","uniqueKey":"payment.oneOf.4.currency","typeLabel":"enum\u003cstring>"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.4.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.4","typeLabel":"Card · object"},{"type":"object","title":"Card token","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["method"],"properties":{"method":{"const":"card-token","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.5.method","typeLabel":"string"},"currency":{"enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"type":"string","uniqueKey":"payment.oneOf.5.currency","typeLabel":"enum\u003cstring>"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.5.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.5","typeLabel":"Card token · object"},{"type":"object","title":"Card via Checkout.com Flow","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["method"],"properties":{"method":{"const":"checkoutcom-flow","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.6.method","typeLabel":"string"},"currency":{"enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"type":"string","uniqueKey":"payment.oneOf.6.currency","typeLabel":"enum\u003cstring>"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.6.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.6","typeLabel":"Card via Checkout.com Flow · object"},{"type":"object","title":"Card via Stripe Payment Element","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["method"],"properties":{"method":{"const":"stripe-payment-element","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.7.method","typeLabel":"string"},"currency":{"enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"type":"string","uniqueKey":"payment.oneOf.7.currency","typeLabel":"enum\u003cstring>"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.7.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.7","typeLabel":"Card via Stripe Payment Element · object"},{"type":"object","title":"Solana","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["currency","method"],"properties":{"currency":{"enum":["bonk","eurc","sol","usdc"],"type":"string","isRequired":true,"uniqueKey":"payment.oneOf.8.currency","typeLabel":"enum\u003cstring>"},"method":{"const":"solana","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.8.method","typeLabel":"string"},"payerAddress":{"description":"A Solana public key.","pattern":"^[1-9A-HJ-NP-Za-km-z]{32,44}$","type":"string","uniqueKey":"payment.oneOf.8.payerAddress","typeLabel":"string"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.8.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.8","typeLabel":"Solana · object"},{"type":"object","title":"EVM","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["currency","method"],"properties":{"currency":{"enum":["chz","credit","degen","eth","eurc","matic","pirate","superverse","usdc","usdxm","wld"],"type":"string","isRequired":true,"uniqueKey":"payment.oneOf.9.currency","typeLabel":"enum\u003cstring>"},"method":{"description":"Staging identifiers only work against `https://staging.crossmint.com` and production identifiers only against `https://www.crossmint.com`. Other chains are available on request. Contact Crossmint support to enable them.","enum":["abstract","abstract-testnet","apechain","arbitrum","arbitrum-sepolia","arbitrumnova","arc","arc-testnet","astar-zkevm","avalanche","avalanche-fuji","base","base-goerli","base-sepolia","bsc","bsc-testnet","celo","celo-sepolia","chiliz","chiliz-spicy-testnet","coti","coti-testnet","curtis","elysium","elysium-testnet","ethereum","ethereum-goerli","ethereum-sepolia","flow","flow-testnet","hedera","hedera-testnet","hypersonic-testnet","lightlink","lightlink-pegasus","mantle","mantle-sepolia","mode","mode-sepolia","optimism","optimism-goerli","optimism-sepolia","plume","plume-testnet","polygon","polygon-amoy","polygon-mumbai","rari","rari-testnet","robinhood-chain","robinhood-chain-testnet","scroll","scroll-sepolia","sei-atlantic-2-testnet","sei-pacific-1","shape","shape-sepolia","skale-nebula","skale-nebula-testnet","soneium","soneium-minato-testnet","space","space-testnet","story","story-testnet","tempo","tempo-testnet","u2u-nebulas","u2u-solaris","verify-testnet","viction","viction-testnet","world-chain","world-chain-sepolia","xai","xai-sepolia-testnet","zenchain-testnet","zkatana","zkyoto","zora","zora-goerli","zora-sepolia"],"examples":["base-sepolia","base","polygon-amoy","polygon"],"type":"string","isRequired":true,"uniqueKey":"payment.oneOf.9.method","typeLabel":"enum\u003cstring>"},"payerAddress":{"description":"An EVM wallet address.","type":"string","uniqueKey":"payment.oneOf.9.payerAddress","typeLabel":"string"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.9.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.9","typeLabel":"EVM · object"},{"type":"object","title":"Sui","description":"How the buyer pays. `method` selects a card provider, a bank transfer, a prefunded balance, or the chain that the crypto payment is sent from. `currency` is the currency that the buyer pays in.","required":["currency","method"],"properties":{"currency":{"enum":["sui"],"type":"string","isRequired":true,"uniqueKey":"payment.oneOf.10.currency","typeLabel":"enum\u003cstring>"},"method":{"const":"sui","type":"string","isRequired":true,"uniqueKey":"payment.oneOf.10.method","typeLabel":"string"},"payerAddress":{"description":"A Sui wallet address.","pattern":"^0x[a-fA-F0-9]{64}$","type":"string","uniqueKey":"payment.oneOf.10.payerAddress","typeLabel":"string"},"receiptEmail":{"description":"Email that the receipt will be sent to.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","uniqueKey":"payment.oneOf.10.receiptEmail","typeLabel":"string\u003cemail>"}},"uniqueKey":"payment.oneOf.10","typeLabel":"Sui · object"}],"uniqueKey":"payment","typeLabel":"Cash App · object | Bank transfer (EUR) · object | Wirex prefunded balance (EUR) · object | Card (tokenized) · object | Card · object | Card token · object | Card via Checkout.com Flow · object | Card via Stripe Payment Element · object | Solana · object | EVM · object | Sui · object"},"recipient":{"oneOf":[{"type":"object","title":"Email","description":"Who receives the items. Send one of `email`, `walletAddress`, or `paymentMethodId`. If you send an email, Crossmint creates a custodial wallet for it. If you send no recipient, the order quote has the status `requires-recipient` until you set one with Update Order.","required":["email"],"properties":{"email":{"description":"Email of the recipient. Crossmint creates a custodial wallet for this email and delivers the items to it. The recipient can log in to the wallet later.","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.0.email","typeLabel":"string\u003cemail>"},"physicalAddress":{"description":"Shipping address of the recipient. Required for physical products.","properties":{"city":{"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.0.physicalAddress.city","typeLabel":"string"},"country":{"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.0.physicalAddress.country","typeLabel":"string"},"line1":{"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.0.physicalAddress.line1","typeLabel":"string"},"name":{"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.0.physicalAddress.name","typeLabel":"string"},"postalCode":{"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.0.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","maxLength":60,"type":"string","uniqueKey":"recipient.oneOf.0.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","maxLength":50,"type":"string","uniqueKey":"recipient.oneOf.0.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"maxLength":50,"type":"string","uniqueKey":"recipient.oneOf.0.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"recipient.oneOf.0.physicalAddress","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"recipient.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Payment method","description":"Who receives the items. Send one of `email`, `walletAddress`, or `paymentMethodId`. If you send an email, Crossmint creates a custodial wallet for it. If you send no recipient, the order quote has the status `requires-recipient` until you set one with Update Order.","required":["paymentMethodId"],"properties":{"paymentMethodId":{"description":"ID of a saved payment method that receives the fiat. Create Payment Method returns it.","type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.1.paymentMethodId","typeLabel":"string"},"rail":{"description":"Rail to receive the fiat on. Defaults to the rail of the payment method.","enum":["ach-co","ach-credit","ach-same-day","ach-us","bi-fast","bre-b","cash-pickup","citad","eft","fast","fednow","fedwire","instapay","napas-247","nip","npss","pesonet","promptpay","rtp","rtp-credit","same-day-ach-credit","sct","sct-inst","sepa","sepa-instant","sinpe","spei","uaefts","wire","zahav"],"type":"string","uniqueKey":"recipient.oneOf.1.rail","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"recipient.oneOf.1","typeLabel":"Payment method · object"},{"type":"object","title":"Wallet address","description":"Who receives the items. Send one of `email`, `walletAddress`, or `paymentMethodId`. If you send an email, Crossmint creates a custodial wallet for it. If you send no recipient, the order quote has the status `requires-recipient` until you set one with Update Order.","required":["walletAddress"],"properties":{"walletAddress":{"description":"Wallet address that receives the items. The address must be valid for the chain of the collection or token, which can differ from the payment chain.","type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.2.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"Shipping address of the recipient. Required for physical products.","properties":{"city":{"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.2.physicalAddress.city","typeLabel":"string"},"country":{"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.2.physicalAddress.country","typeLabel":"string"},"line1":{"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.2.physicalAddress.line1","typeLabel":"string"},"name":{"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.2.physicalAddress.name","typeLabel":"string"},"postalCode":{"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"recipient.oneOf.2.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","maxLength":60,"type":"string","uniqueKey":"recipient.oneOf.2.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","maxLength":50,"type":"string","uniqueKey":"recipient.oneOf.2.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"maxLength":50,"type":"string","uniqueKey":"recipient.oneOf.2.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"recipient.oneOf.2.physicalAddress","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"recipient.oneOf.2","typeLabel":"Wallet address · object"}],"uniqueKey":"recipient","typeLabel":"Email · object | Payment method · object | Wallet address · object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"required":true,"exampleType":"examples"},"responses":{"5efe7a81-3313-4f07-82f4-35c4fbe3cc62":{"content":{"application/json":{"schema":{"properties":{"lineItems":{"description":"Items in the order. Each line item has its own quote and delivery status.","items":{"oneOf":[{"type":"object","title":"Exact-in (fixed spend)","required":["chain","delivery","executionMode","maxSlippageBps","metadata","quote"],"properties":{"chain":{"description":"Chain that the item is delivered on.","enum":["abstract","abstract-testnet","apechain","aptos","arbitrum","arbitrum-sepolia","arbitrumnova","arc","arc-testnet","astar-zkevm","avalanche","avalanche-fuji","base","base-goerli","base-sepolia","bsc","bsc-testnet","celo","celo-sepolia","chiliz","chiliz-spicy-testnet","coti","coti-testnet","curtis","elysium","elysium-testnet","ethereum","ethereum-goerli","ethereum-sepolia","flow","flow-testnet","hedera","hedera-testnet","hypersonic-testnet","lightlink","lightlink-pegasus","mantle","mantle-sepolia","mode","mode-sepolia","optimism","optimism-goerli","optimism-sepolia","plume","plume-testnet","polygon","polygon-amoy","polygon-mumbai","rari","rari-testnet","robinhood-chain","robinhood-chain-testnet","scroll","scroll-sepolia","sei-atlantic-2-testnet","sei-pacific-1","shape","shape-sepolia","skale-nebula","skale-nebula-testnet","solana","soneium","soneium-minato-testnet","space","space-testnet","stellar","story","story-testnet","sui","tempo","tempo-testnet","u2u-nebulas","u2u-solaris","verify-testnet","viction","viction-testnet","world-chain","world-chain-sepolia","xai","xai-sepolia-testnet","xion","zenchain-testnet","zkatana","zkyoto","zora","zora-goerli","zora-sepolia"],"examples":["base"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.chain","typeLabel":"enum\u003cstring>"},"delivery":{"oneOf":[{"type":"object","title":"Pending","description":"Delivery leg of this line item: the token transfer, or the fiat payout to a bank account.","required":["status"],"properties":{"status":{"description":"Status of the delivery. `awaiting-payment`: the payment is not received yet. `in-progress`: the payment is received and the delivery transaction is submitted.","enum":["awaiting-payment","in-progress"],"examples":["awaiting-payment"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.status","typeLabel":"enum\u003cstring>"},"cashPickup":{"examples":[{"pickupCode":"1234567890"}],"properties":{"pickupCode":{"description":"Code the recipient shows at the pickup location to collect the cash. Anyone who holds it can collect the payout, so show it only to the recipient.","type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.cashPickup.pickupCode","typeLabel":"string"}},"required":["pickupCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.cashPickup","typeLabel":"object"},"rail":{"description":"Bank rail that the payout was routed over. Present when the line item pays out to a bank account.","enum":["ach-credit","ach-same-day","ach-us","bi-fast","bre-b","cash-pickup","citad","eft","fast","fednow","instapay","napas-247","nip","npss","pesonet","promptpay","rtp","sepa","sepa-instant","sinpe","spei","uaefts","wire","zahav"],"examples":["ach-us"],"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.rail","typeLabel":"enum\u003cstring>"},"recipient":{"oneOf":[{"type":"object","title":"Email","required":["email","locator","walletAddress"],"properties":{"email":{"description":"The email address of the recipient.","examples":["buyer@example.com"],"format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.email","typeLabel":"string\u003cemail>"},"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["email:buyer@example.com:base"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Wallet address","required":["locator","walletAddress"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["base:0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.1","typeLabel":"Wallet address · object"},{"type":"object","title":"Payment method","required":["locator","paymentMethodId"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'paymentMethodId:paymentMethodId'","examples":["paymentMethodId:9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.2.locator","typeLabel":"string"},"paymentMethodId":{"description":"The payment method id of the recipient.","examples":["9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.2.paymentMethodId","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient.oneOf.2","typeLabel":"Payment method · object"}],"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0.recipient","typeLabel":"Email · object | Wallet address · object | Payment method · object"}},"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.0","typeLabel":"Pending · object"},{"type":"object","title":"Failed","description":"Delivery leg of this line item: the token transfer, or the fiat payout to a bank account.","required":["status"],"properties":{"status":{"const":"failed","description":"Status of the delivery. `failed`: the delivery could not be completed. Read `failureReason` for the cause. Contact Crossmint support if an order reaches this state.","examples":["failed"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.status","typeLabel":"string"},"completedAt":{"description":"ISO 8601 timestamp when the payout reached its terminal success signal. Preserved if a completed payout later fails (e.g. a bank return); absent if the payout never completed. On instant rails (RTP, SEPA Instant, SPEI) this is the credit confirmation time; on delayed rails (ACH, standard SEPA) it reflects settlement and is approximate.","example":"2024-01-15T10:30:00.000Z","examples":["2026-10-05T14:05:42.000Z"],"format":"date-time","type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.completedAt","typeLabel":"string\u003cdate-time>"},"failureReason":{"description":"Why the delivery failed. Present when the delivery failed.","properties":{"code":{"enum":["insufficient-funds","invalid-account","payment-refunded","payout-unauthorized","slippage-tolerance-exceeded","transfer-failed"],"examples":["transfer-failed"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.failureReason.code","typeLabel":"enum\u003cstring>"},"message":{"description":"Display text for the failure. Not a contract. Branch on `code`.","examples":["The delivery transaction reverted on chain."],"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.failureReason.message","typeLabel":"string"}},"required":["code"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.failureReason","typeLabel":"object"},"rail":{"description":"Bank rail that the payout was routed over. Present when the line item pays out to a bank account.","enum":["ach-credit","ach-same-day","ach-us","bi-fast","bre-b","cash-pickup","citad","eft","fast","fednow","instapay","napas-247","nip","npss","pesonet","promptpay","rtp","sepa","sepa-instant","sinpe","spei","uaefts","wire","zahav"],"examples":["ach-us"],"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.rail","typeLabel":"enum\u003cstring>"},"recipient":{"oneOf":[{"type":"object","title":"Email","required":["email","locator","walletAddress"],"properties":{"email":{"description":"The email address of the recipient.","examples":["buyer@example.com"],"format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.email","typeLabel":"string\u003cemail>"},"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["email:buyer@example.com:base"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Wallet address","required":["locator","walletAddress"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["base:0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.1","typeLabel":"Wallet address · object"},{"type":"object","title":"Payment method","required":["locator","paymentMethodId"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'paymentMethodId:paymentMethodId'","examples":["paymentMethodId:9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.2.locator","typeLabel":"string"},"paymentMethodId":{"description":"The payment method id of the recipient.","examples":["9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.2.paymentMethodId","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient.oneOf.2","typeLabel":"Payment method · object"}],"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1.recipient","typeLabel":"Email · object | Wallet address · object | Payment method · object"}},"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.1","typeLabel":"Failed · object"},{"type":"object","title":"Delivered (on-chain)","description":"Delivery leg of this line item: the token transfer, or the fiat payout to a bank account.","required":["status","tokens","txId"],"properties":{"status":{"const":"completed","description":"Status of the delivery. `completed`: the item is delivered.","examples":["completed"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.status","typeLabel":"string"},"tokens":{"description":"Tokens that were delivered. Present when `status` is `completed`.","items":{"oneOf":[{"type":"object","title":"EVM fungible token","required":["contractAddress","locator","quantity","symbol"],"properties":{"contractAddress":{"description":"The contract address of the token.","examples":["0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.0.contractAddress","typeLabel":"string"},"locator":{"description":"The token locator.","examples":["base:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.0.locator","typeLabel":"string"},"quantity":{"description":"The quantity of tokens delivered.","examples":["10"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.0.quantity","typeLabel":"string"},"symbol":{"description":"The token symbol.","examples":["USDC"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.0.symbol","typeLabel":"string"},"decimals":{"description":"The number of decimals for the token.","examples":[6],"type":"number","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.0.decimals","typeLabel":"number"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.0","typeLabel":"EVM fungible token · object"},{"type":"object","title":"EVM NFT","required":["contractAddress","locator","tokenId"],"properties":{"contractAddress":{"description":"The contract address of the token.","examples":["0xE04Cf294985282Ddc088E6433c064cfB85eD9EdA"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.1.contractAddress","typeLabel":"string"},"locator":{"description":"The token locator.","examples":["base:0xE04Cf294985282Ddc088E6433c064cfB85eD9EdA:3"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.1.locator","typeLabel":"string"},"tokenId":{"description":"The token ID of the token.","examples":["3"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.1.tokenId","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.1","typeLabel":"EVM NFT · object"},{"type":"object","title":"Stellar token","required":["contractId","locator","quantity","symbol"],"properties":{"contractId":{"description":"The token contract id","examples":["CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.2.contractId","typeLabel":"string"},"locator":{"description":"The token locator.","examples":["stellar:CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.2.locator","typeLabel":"string"},"quantity":{"description":"The quantity of tokens delivered.","examples":["10"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.2.quantity","typeLabel":"string"},"symbol":{"description":"The token symbol.","examples":["USDC"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.2.symbol","typeLabel":"string"},"decimals":{"description":"The number of decimals for the token.","examples":[6],"type":"number","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.2.decimals","typeLabel":"number"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.2","typeLabel":"Stellar token · object"},{"type":"object","title":"Solana fungible token","required":["locator","mintHash","quantity","symbol"],"properties":{"locator":{"description":"The token locator.","examples":["solana:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.3.locator","typeLabel":"string"},"mintHash":{"description":"The token mint address (mintHash) or assetId (compressed NFTs).","examples":["EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.3.mintHash","typeLabel":"string"},"quantity":{"description":"The quantity of tokens delivered.","examples":["10"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.3.quantity","typeLabel":"string"},"symbol":{"description":"The token symbol.","examples":["USDC"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.3.symbol","typeLabel":"string"},"decimals":{"description":"The number of decimals for the token.","examples":[6],"type":"number","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.3.decimals","typeLabel":"number"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.3","typeLabel":"Solana fungible token · object"},{"type":"object","title":"Solana NFT","required":["locator","mintHash"],"properties":{"locator":{"description":"The token locator.","examples":["solana:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.4.locator","typeLabel":"string"},"mintHash":{"description":"The token mint address (mintHash) or assetId (compressed NFTs).","examples":["EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.4.mintHash","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX].oneOf.4","typeLabel":"Solana NFT · object"}],"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens.items.[INDEX]","typeLabel":"EVM fungible token · object | EVM NFT · object | Stellar token · object | Solana fungible token · object | Solana NFT · object"},"type":"array","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.tokens","typeLabel":"(EVM fungible token · object | EVM NFT · object | Stellar token · object | Solana fungible token · object | Solana NFT · object)[]"},"txId":{"description":"The transaction ID of the delivery.","examples":["0x2e69f11dae7869b92e3d5eaf4cadd50c48b5c6803d1232815f979d744521ad4c"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.txId","typeLabel":"string"},"completedAt":{"description":"ISO 8601 timestamp when the payout reached its terminal success signal. Preserved if a completed payout later fails (e.g. a bank return); absent if the payout never completed. On instant rails (RTP, SEPA Instant, SPEI) this is the credit confirmation time; on delayed rails (ACH, standard SEPA) it reflects settlement and is approximate.","example":"2024-01-15T10:30:00.000Z","examples":["2026-10-05T14:05:42.000Z"],"format":"date-time","type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.completedAt","typeLabel":"string\u003cdate-time>"},"rail":{"description":"Bank rail that the payout was routed over. Present when the line item pays out to a bank account.","enum":["ach-credit","ach-same-day","ach-us","bi-fast","bre-b","cash-pickup","citad","eft","fast","fednow","instapay","napas-247","nip","npss","pesonet","promptpay","rtp","sepa","sepa-instant","sinpe","spei","uaefts","wire","zahav"],"examples":["ach-us"],"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.rail","typeLabel":"enum\u003cstring>"},"recipient":{"oneOf":[{"type":"object","title":"Email","required":["email","locator","walletAddress"],"properties":{"email":{"description":"The email address of the recipient.","examples":["buyer@example.com"],"format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.email","typeLabel":"string\u003cemail>"},"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["email:buyer@example.com:base"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Wallet address","required":["locator","walletAddress"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["base:0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.1","typeLabel":"Wallet address · object"},{"type":"object","title":"Payment method","required":["locator","paymentMethodId"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'paymentMethodId:paymentMethodId'","examples":["paymentMethodId:9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.2.locator","typeLabel":"string"},"paymentMethodId":{"description":"The payment method id of the recipient.","examples":["9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.2.paymentMethodId","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient.oneOf.2","typeLabel":"Payment method · object"}],"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2.recipient","typeLabel":"Email · object | Wallet address · object | Payment method · object"}},"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.2","typeLabel":"Delivered (on-chain) · object"},{"type":"object","title":"Delivered (physical)","description":"Delivery leg of this line item: the token transfer, or the fiat payout to a bank account.","required":["status"],"properties":{"status":{"const":"completed","description":"Status of the delivery. `completed`: the item is delivered.","examples":["completed"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.status","typeLabel":"string"},"completedAt":{"description":"ISO 8601 timestamp when the payout reached its terminal success signal. Preserved if a completed payout later fails (e.g. a bank return); absent if the payout never completed. On instant rails (RTP, SEPA Instant, SPEI) this is the credit confirmation time; on delayed rails (ACH, standard SEPA) it reflects settlement and is approximate.","example":"2024-01-15T10:30:00.000Z","examples":["2026-10-05T14:05:42.000Z"],"format":"date-time","type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.completedAt","typeLabel":"string\u003cdate-time>"},"rail":{"description":"Bank rail that the payout was routed over. Present when the line item pays out to a bank account.","enum":["ach-credit","ach-same-day","ach-us","bi-fast","bre-b","cash-pickup","citad","eft","fast","fednow","instapay","napas-247","nip","npss","pesonet","promptpay","rtp","sepa","sepa-instant","sinpe","spei","uaefts","wire","zahav"],"examples":["ach-us"],"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.rail","typeLabel":"enum\u003cstring>"},"recipient":{"oneOf":[{"type":"object","title":"Email","required":["email","locator","walletAddress"],"properties":{"email":{"description":"The email address of the recipient.","examples":["buyer@example.com"],"format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.email","typeLabel":"string\u003cemail>"},"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["email:buyer@example.com:base"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Wallet address","required":["locator","walletAddress"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'evm:contractAddress:tokenId'","examples":["base:0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.locator","typeLabel":"string"},"walletAddress":{"description":"The wallet address of the recipient.","examples":["0x9fDA6b2C3e4d5e6F7a8B9c0D1e2F3a4B5c6D7e8F"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.walletAddress","typeLabel":"string"},"physicalAddress":{"description":"International mailing address using ISO 3166-1 alpha-2 country codes","properties":{"city":{"examples":["San Francisco"],"maxLength":50,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.city","typeLabel":"string"},"country":{"examples":["US"],"maxLength":2,"minLength":2,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.country","typeLabel":"string"},"line1":{"examples":["123 Market St"],"maxLength":200,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.line1","typeLabel":"string"},"name":{"examples":["Jane Doe"],"maxLength":100,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.name","typeLabel":"string"},"postalCode":{"examples":["94105"],"maxLength":20,"minLength":1,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.postalCode","typeLabel":"string"},"line2":{"default":"","examples":["Apt 4B"],"maxLength":60,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.line2","typeLabel":"string"},"state":{"description":"Deprecated, use stateOrRegion instead","examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.state","typeLabel":"string"},"stateOrRegion":{"examples":["CA"],"maxLength":50,"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress.stateOrRegion","typeLabel":"string"}},"required":["city","country","line1","name","postalCode"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1.physicalAddress","typeLabel":"object"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.1","typeLabel":"Wallet address · object"},{"type":"object","title":"Payment method","required":["locator","paymentMethodId"],"properties":{"locator":{"description":"The locator of the recipient. Example: 'paymentMethodId:paymentMethodId'","examples":["paymentMethodId:9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.2.locator","typeLabel":"string"},"paymentMethodId":{"description":"The payment method id of the recipient.","examples":["9f1a6b2c-3d4e-4f50-9a61-2b3c4d5e6f70"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.2.paymentMethodId","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient.oneOf.2","typeLabel":"Payment method · object"}],"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3.recipient","typeLabel":"Email · object | Wallet address · object | Payment method · object"}},"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery.oneOf.3","typeLabel":"Delivered (physical) · object"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.delivery","typeLabel":"Pending · object | Failed · object | Delivered (on-chain) · object | Delivered (physical) · object"},"executionMode":{"const":"exact-in","description":"Execution mode of the line item. `exact-in` fixes the amount that the buyer spends, for example a token purchase or a stablecoin deposit.","examples":["exact-in"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.executionMode","typeLabel":"string"},"maxSlippageBps":{"description":"The slippage tolerance for the transaction. The number is in bps. 500 = 5%","examples":["500"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.maxSlippageBps","typeLabel":"string"},"metadata":{"description":"Name, description, and image of the item, and of its collection when available.","properties":{"description":{"examples":["USDC Token"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata.description","typeLabel":"string"},"imageUrl":{"examples":["https://cryptologos.cc/logos/usd-coin-usdc-logo.svg"],"format":"uri","type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata.imageUrl","typeLabel":"string\u003curi>"},"name":{"examples":["USDC"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata.name","typeLabel":"string"},"collection":{"properties":{"description":{"examples":["Stablecoin issued by Circle, pegged 1:1 to the US dollar."],"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata.collection.description","typeLabel":"string"},"imageUrl":{"examples":["https://cryptologos.cc/logos/usd-coin-usdc-logo.svg"],"format":"uri","type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata.collection.imageUrl","typeLabel":"string\u003curi>"},"name":{"examples":["USD Coin"],"type":"string","uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata.collection.name","typeLabel":"string"}},"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata.collection","typeLabel":"object"}},"required":["description","imageUrl","name"],"type":"object","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.metadata","typeLabel":"object"},"quote":{"oneOf":[{"type":"object","title":"Exact-in quote","description":"Quote for this line item. Read `status` to know if the item can be purchased.","required":["quantityRange","status"],"properties":{"quantityRange":{"description":"Bounds for the quantity that the buyer receives, as decimal strings, based on the slippage tolerance. A fiat payout is fixed at order creation, so both bounds equal the payout amount.","properties":{"lowerBound":{"examples":["9.95"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.quantityRange.lowerBound","typeLabel":"string"},"upperBound":{"examples":["10.00"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.quantityRange.upperBound","typeLabel":"string"}},"required":["lowerBound","upperBound"],"type":"object","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.quantityRange","typeLabel":"object"},"status":{"description":"Status of the quote for this line item. `item-unavailable` means the item cannot be purchased. Read `unavailabilityReason` for the cause.","enum":["expired","item-unavailable","requires-recipient","valid"],"examples":["valid"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.status","typeLabel":"enum\u003cstring>"},"charges":{"description":"Breakdown of the line item price.","properties":{"unit":{"description":"Price of one unit of the item. For a fiat payout, the stablecoin deposit per unit of fiat. Informational: use `totalPrice` for the amount to pay.","properties":{"amount":{"examples":["1.00"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.unit.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.unit.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.unit.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.unit.currency","typeLabel":"enum\u003cstring>"}},"required":["amount","currency"],"type":"object","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.unit","typeLabel":"object"},"crossmintFees":{"description":"Crossmint fee for this line item.","properties":{"amount":{"examples":["0.37"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.crossmintFees.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.crossmintFees.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.crossmintFees.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.crossmintFees.currency","typeLabel":"enum\u003cstring>"}},"required":["amount","currency"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.crossmintFees","typeLabel":"object"},"fees":{"oneOf":[{"type":"object","title":"Exact fee","description":"Fees for this line item. `exact` is the final fee. `worst-case` is the maximum fee before the payment is received. In `exact-in` mode, the fee is deducted from the amount paid. In `exact-out` mode, the fee is added to the price.","required":["amount","currency","type"],"properties":{"amount":{"examples":["0.47"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.0.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.0.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.0.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.0.currency","typeLabel":"enum\u003cstring>"},"type":{"const":"exact","examples":["exact"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.0.type","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.0","typeLabel":"Exact fee · object"},{"type":"object","title":"Worst-case fee","description":"Fees for this line item. `exact` is the final fee. `worst-case` is the maximum fee before the payment is received. In `exact-in` mode, the fee is deducted from the amount paid. In `exact-out` mode, the fee is added to the price.","required":["amount","currency","type"],"properties":{"amount":{"examples":["0.52"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.1.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.1.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.1.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.1.currency","typeLabel":"enum\u003cstring>"},"type":{"const":"worst-case","examples":["worst-case"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.1.type","typeLabel":"string"}},"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees.oneOf.1","typeLabel":"Worst-case fee · object"}],"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.fees","typeLabel":"Exact fee · object | Worst-case fee · object"},"gas":{"description":"Estimated gas for the delivery transaction.","properties":{"amount":{"examples":["0.10"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.gas.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.gas.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.gas.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.gas.currency","typeLabel":"enum\u003cstring>"}},"required":["amount","currency"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.gas","typeLabel":"object"},"networkFee":{"description":"Network fee for the delivery transaction.","properties":{"amount":{"examples":["0.10"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.networkFee.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.networkFee.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.networkFee.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.networkFee.currency","typeLabel":"enum\u003cstring>"}},"required":["amount","currency"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.networkFee","typeLabel":"object"},"salesTax":{"description":"Sales tax. Present for physical products.","properties":{"amount":{"examples":["0.84"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.salesTax.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.salesTax.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.salesTax.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.salesTax.currency","typeLabel":"enum\u003cstring>"}},"required":["amount","currency"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.salesTax","typeLabel":"object"},"shipping":{"description":"Shipping cost. Present for physical products.","properties":{"amount":{"examples":["4.99"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.shipping.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.shipping.currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"Fiat currency","enum":["aed","aud","cop","crc","eur","gbp","hkd","idr","ils","inr","jod","jpy","krw","mxn","ngn","php","sgd","thb","try","usd","vnd","xcd"],"example":"usd","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.shipping.currency.oneOf.1","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.shipping.currency","typeLabel":"enum\u003cstring>"}},"required":["amount","currency"],"type":"object","uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.shipping","typeLabel":"object"},"transferFee":{"description":"Fee the payout provider charges for the bank rail, denominated in the stablecoin. Included in `fees`; do not add it again. Not present when the fee is zero or the project funds it.","properties":{"amount":{"examples":["0.50"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.transferFee.amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","title":"Crypto currency","enum":["$mfer","benji","bonk","chz","credit","degen","doginme","eth","eurc","keycat","matic","miggles","mochi","phantom-cash","pirate","russell","ski","sol","sui","superverse","tibbir","toby","tybg","usdc","usdxm","wld"],"example":"usdc","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].oneOf.0.quote.oneOf.0.charges.transferFee.c
[...]
